=== debian/changelog ===
ros-noetic-tesseract-state-solver (0.13.1-1buster) buster; urgency=high

  * Move most SWIG commands to tesseract_python package (#809 <https://github.com/tesseract-robotics/tesseract/issues/809>)
  * Contributors: John Wason

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 25 Aug 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.13.0-1buster) buster; urgency=high

  * Update code based on clang-tidy-14
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 11 Jul 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.10.0-1buster) buster; urgency=high

  * Update ros_industrial_cmake_boilerplate to 0.3.0 (#795 <https://github.com/tesseract-robotics/tesseract/issues/795>)

 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 06 Jul 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.11-1buster) buster; urgency=high

  * Updated CPack (#786 <https://github.com/tesseract-robotics/tesseract/issues/786>)
  * Update to use find_gtest macro
  * Contributors: Levi Armstrong, Michael Ripperger

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 30 Jun 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.10-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Tue, 14 Jun 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.9-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.8-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.7-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 30 May 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.6-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 02 May 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.5-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Sun, 24 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.4-1buster) buster; urgency=high

  * Windows fixes with passing unit tests (#751 <https://github.com/tesseract-robotics/tesseract/issues/751>)
    * Fix bug in OFKTStateSolver::moveLinkHelper
    * Use binary ifstream ond ofstream in serialization.h
    * Add c++17 flag to windows_noetic_build.yml
    * Fix SceneGraph move constructor, restore modified unit tests
  * Contributors: John Wason

 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 22 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.3-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 18 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.2-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Sun, 03 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.1-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Fri, 01 Apr 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.9.0-1buster) buster; urgency=high

  * Make ResourceLocator serializable
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 31 Mar 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.8.7-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 24 Mar 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.8.6-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 24 Mar 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.8.5-1buster) buster; urgency=high

  * Add methods for getting link transform information from state solver
  * Contributors: Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 24 Mar 2022 05:00:00 -0000

ros-noetic-tesseract-state-solver (0.8.4-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 03 Mar 2022 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.8.3-1buster) buster; urgency=high

  * Python patches for Feb 2022 update (#716 <https://github.com/tesseract-robotics/tesseract/issues/716>)
  * Add missing UPtr and ConstUPtr typedef for KDL and OFKT state solver (#711 <https://github.com/tesseract-robotics/tesseract/issues/711>)
  * Contributors: John Wason, Levi Armstrong

 -- Levi Armstrong <levi.armstrong@swri.org>  Tue, 22 Feb 2022 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.8.2-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Thu, 27 Jan 2022 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.8.1-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 24 Jan 2022 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.8.0-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 19 Jan 2022 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.7.5-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 10 Jan 2022 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.7.4-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 15 Dec 2021 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.7.3-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 15 Dec 2021 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.7.2-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 15 Dec 2021 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.7.1-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Wed, 15 Dec 2021 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.7.0-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Sat, 04 Dec 2021 06:00:00 -0000

ros-noetic-tesseract-state-solver (0.6.9-1buster) buster; urgency=high



 -- Levi Armstrong <levi.armstrong@swri.org>  Mon, 29 Nov 2021 06:00:00 -0000


